Index: src/sas/guiframe/gui_manager.py
===================================================================
--- src/sas/guiframe/gui_manager.py	(revision 064723bf3f830a2eca6b30a1ebfa1f5834e683b2)
+++ src/sas/guiframe/gui_manager.py	(revision 091e71a2c396c66b4a4d8a9536d715b2f2210daf)
@@ -5,5 +5,5 @@
 #This software was developed by the University of Tennessee as part of the
 #Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-#project funded by the US National Science Foundation. 
+#project funded by the US National Science Foundation.
 #
 #See the license text in license.txtz
@@ -58,10 +58,10 @@
         logging.info("Using application path: %s", app_path)
         return app_path
-    
+
     # Next, try the current working directory
     if os.path.isfile(os.path.join(os.getcwd(), "custom_config.py")):
         logging.info("Using application path: %s", os.getcwd())
         return os.path.abspath(os.getcwd())
-    
+
     # Finally, try the directory of the sasview module
     #TODO: gui_manager will have to know about sasview until we
@@ -79,18 +79,18 @@
         Returns the user's home directory
     """
-    userdir = os.path.join(os.path.expanduser("~"),".sasview")
+    userdir = os.path.join(os.path.expanduser("~"), ".sasview")
     if not os.path.isdir(userdir):
         os.makedirs(userdir)
     return userdir
-    
+
 def _find_local_config(file, path):
     """
         Find configuration file for the current application
-    """    
+    """
     config_module = None
     fObj = None
     try:
         fObj, path_config, descr = imp.find_module(file, [path])
-        config_module = imp.load_module(file, fObj, path_config, descr) 
+        config_module = imp.load_module(file, fObj, path_config, descr)
     except:
         logging.error("Error loading %s/%s: %s" % (path, file, sys.exc_value))
@@ -102,8 +102,8 @@
 
 # Get APP folder
-PATH_APP = get_app_dir() 
+PATH_APP = get_app_dir()
 DATAPATH = PATH_APP
 
-# GUI always starts from the App folder 
+# GUI always starts from the App folder
 #os.chdir(PATH_APP)
 # Read in the local config, which can either be with the main
@@ -113,12 +113,12 @@
     config = _find_local_config('local_config', os.getcwd())
     if config is None:
-        # Didn't find local config, load the default 
+        # Didn't find local config, load the default
         import sas.guiframe.config as config
-        logging.info("using default local_config")        
+        logging.info("using default local_config")
     else:
-        logging.info("found local_config in %s" % os.getcwd())  
+        logging.info("found local_config in %s" % os.getcwd())
 else:
-    logging.info("found local_config in %s" % PATH_APP)     
-           
+    logging.info("found local_config in %s" % PATH_APP)
+
 from sas.guiframe.customdir  import SetupCustom
 c_conf_dir = SetupCustom().setup_dir(PATH_APP)
@@ -154,7 +154,7 @@
     PLOPANEL_WIDTH = custom_config.PLOPANEL_WIDTH
     DATAPANEL_WIDTH = custom_config.DATAPANEL_WIDTH
-    GUIFRAME_WIDTH = custom_config.GUIFRAME_WIDTH 
+    GUIFRAME_WIDTH = custom_config.GUIFRAME_WIDTH
     GUIFRAME_HEIGHT = custom_config.GUIFRAME_HEIGHT
-    CONTROL_WIDTH = custom_config.CONTROL_WIDTH 
+    CONTROL_WIDTH = custom_config.CONTROL_WIDTH
     CONTROL_HEIGHT = custom_config.CONTROL_HEIGHT
     DEFAULT_PERSPECTIVE = custom_config.DEFAULT_PERSPECTIVE
@@ -173,7 +173,7 @@
     PLOPANEL_WIDTH = config.PLOPANEL_WIDTH
     DATAPANEL_WIDTH = config.DATAPANEL_WIDTH
-    GUIFRAME_WIDTH = config.GUIFRAME_WIDTH 
+    GUIFRAME_WIDTH = config.GUIFRAME_WIDTH
     GUIFRAME_HEIGHT = config.GUIFRAME_HEIGHT
-    CONTROL_WIDTH = -1 
+    CONTROL_WIDTH = -1
     CONTROL_HEIGHT = -1
     DEFAULT_PERSPECTIVE = None
@@ -183,5 +183,5 @@
 DEFAULT_STYLE = config.DEFAULT_STYLE
 
-PLUGIN_STATE_EXTENSIONS =  config.PLUGIN_STATE_EXTENSIONS
+PLUGIN_STATE_EXTENSIONS = config.PLUGIN_STATE_EXTENSIONS
 OPEN_SAVE_MENU = config.OPEN_SAVE_PROJECT_MENU
 VIEW_MENU = config.VIEW_MENU
@@ -214,13 +214,13 @@
         PARENT_FRAME = wx.Frame
         CHILD_FRAME = wx.Frame
-    
+
 class ViewerFrame(PARENT_FRAME):
     """
     Main application frame
     """
-    
-    def __init__(self, parent, title, 
+
+    def __init__(self, parent, title,
                  size=(GUIFRAME_WIDTH, GUIFRAME_HEIGHT),
-                 gui_style=DEFAULT_STYLE, 
+                 gui_style=DEFAULT_STYLE,
                  style=wx.DEFAULT_FRAME_STYLE,
                  pos=wx.DefaultPosition):
@@ -232,22 +232,22 @@
         # title
         self.title = title
-        self.__gui_style = gui_style       
+        self.__gui_style = gui_style
         path = os.path.dirname(__file__)
-        temp_path = os.path.join(path,'images')
-        ico_file = os.path.join(temp_path,'ball.ico')
+        temp_path = os.path.join(path, 'images')
+        ico_file = os.path.join(temp_path, 'ball.ico')
         if os.path.isfile(ico_file):
             self.SetIcon(wx.Icon(ico_file, wx.BITMAP_TYPE_ICO))
         else:
-            temp_path = os.path.join(os.getcwd(),'images')
-            ico_file = os.path.join(temp_path,'ball.ico')
+            temp_path = os.path.join(os.getcwd(), 'images')
+            ico_file = os.path.join(temp_path, 'ball.ico')
             if os.path.isfile(ico_file):
                 self.SetIcon(wx.Icon(ico_file, wx.BITMAP_TYPE_ICO))
             else:
                 ico_file = os.path.join(os.path.dirname(os.path.sys.path[0]),
-                             'images', 'ball.ico')
+                                        'images', 'ball.ico')
                 if os.path.isfile(ico_file):
                     self.SetIcon(wx.Icon(ico_file, wx.BITMAP_TYPE_ICO))
         self.path = PATH_APP
-        self.application_name = APPLICATION_NAME 
+        self.application_name = APPLICATION_NAME
         ## Application manager
         self._input_file = None
@@ -294,5 +294,5 @@
 
         # Default locations
-        self._default_save_location = DEFAULT_OPEN_FOLDER       
+        self._default_save_location = DEFAULT_OPEN_FOLDER
         # Welcome panel
         self.defaultPanel = None
@@ -303,5 +303,5 @@
         self.cpanel_on_focus = None
 
-        self.loader = Loader()   
+        self.loader = Loader()
         #data manager
         self.batch_on = False
@@ -310,6 +310,5 @@
         self._data_panel = None#DataPanel(parent=self)
         if self.panel_on_focus is not None:
-            self._data_panel.set_panel_on_focus(
-                                self.panel_on_focus.window_caption)
+            self._data_panel.set_panel_on_focus(self.panel_on_focus.window_caption)
         # list of plot panels in schedule to full redraw
         self.schedule = False
@@ -318,10 +317,10 @@
         self.schedule_full_draw_list = []
         self.idletimer = wx.CallLater(TIME_FACTOR, self._onDrawIdle)
-        
+
         self.batch_frame = GridFrame(parent=self)
         self.batch_frame.Hide()
         self.on_batch_selection(event=None)
         self.add_icon()
-        
+
         # Register the close event so it calls our own method
         wx.EVT_CLOSE(self, self.WindowClose)
@@ -338,15 +337,15 @@
         # Preferred window size
         self._window_width, self._window_height = size
-        
+
     def add_icon(self):
         """
-        get list of child and attempt to add the default icon 
-        """
-        
-        list_children = self.GetChildren() 
+        get list of child and attempt to add the default icon
+        """
+
+        list_children = self.GetChildren()
         for frame in list_children:
             self.put_icon(frame)
-        
-    def put_icon(self, frame): 
+
+    def put_icon(self, frame):
         """
         Put icon on the tap of a panel
@@ -358,6 +357,6 @@
                     frame.SetIcon(icon)
                 except:
-                    pass  
-                
+                    pass
+
     def get_client_size(self):
         """
@@ -370,7 +369,7 @@
         if toolbar != None:
             _, tb_h = toolbar.GetSizeTuple()
-            height -= tb_h 
+            height -= tb_h
         return width, height
-    
+
     def on_change_categories(self, evt):
         # ILL
@@ -382,11 +381,9 @@
 
         if fitpanel != None:
-            for i in range(0,fitpanel.GetPageCount()):
+            for i in range(0, fitpanel.GetPageCount()):
                 fitpanel.GetPage(i)._populate_listbox()
 
-
-
     def on_set_batch_result(self, data_outputs, data_inputs=None,
-                             plugin_name=""):
+                            plugin_name=""):
         """
         Display data into a grid in batch mode and show the grid
@@ -395,16 +392,15 @@
         time_str = time.strftime("%b %d %H;%M of %Y", t)
         details = "File Generated by %s : %s" % (APPLICATION_NAME,
-                                                     str(plugin_name))
-        details += "on %s.\n" % time_str 
+                                                 str(plugin_name))
+        details += "on %s.\n" % time_str
         ext = ".csv"
-        file_name = "Batch_" + str(plugin_name)+ "_" + time_str + ext
+        file_name = "Batch_" + str(plugin_name) + "_" + time_str + ext
         file_name = self._default_save_location + str(file_name)
-        
+
         self.open_with_localapp(file_name=file_name,
                                 details=details,
                                 data_inputs=data_inputs,
-                                    data_outputs=data_outputs)
-     
-    
+                                data_outputs=data_outputs)
+
     def open_with_localapp(self, data_inputs=None, details="", file_name=None,
                            data_outputs=None):
@@ -413,10 +409,10 @@
         :param data: dictionary of string and list of items
         """
-        self.batch_frame.set_data(data_inputs=data_inputs, 
+        self.batch_frame.set_data(data_inputs=data_inputs,
                                   data_outputs=data_outputs,
                                   details=details,
                                   file_name=file_name)
         self.show_batch_frame(None)
-        
+
     def on_read_batch_tofile(self, base):
         """
@@ -428,8 +424,8 @@
             self._default_save_location = os.getcwd()
         wildcard = "(*.csv; *.txt)|*.csv; *.txt"
-        dlg = wx.FileDialog(base, 
-                            "Choose a file", 
+        dlg = wx.FileDialog(base,
+                            "Choose a file",
                             self._default_save_location, "",
-                             wildcard)
+                            wildcard)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
@@ -440,9 +436,9 @@
             self.read_batch_tofile(file_name=path)
         except:
-            msg = "Error occurred when reading the file; %s\n"% path
-            msg += "%s\n"% sys.exc_value
+            msg = "Error occurred when reading the file; %s\n" % path
+            msg += "%s\n" % sys.exc_value
             wx.PostEvent(self, StatusEvent(status=msg,
-                                             info="error"))
-            
+                                           info="error"))
+
     def read_batch_tofile(self, file_name):
         """
@@ -457,8 +453,8 @@
         if ext.lower() == ".csv":
             separator = ","
-        buffer = fd.read()
-        lines = buffer.split('\n')
+        fd_buffer = fd.read()
+        lines = fd_buffer.split('\n')
         fd.close()
-        column_names_line  = ""
+        column_names_line = ""
         index = None
         details = ""
@@ -487,8 +483,8 @@
             if count >= 2:
                 column_names_line = line
-                break 
-           
+                break
+
         if column_names_line.strip() == "" or index is None:
-            return 
+            return
 
         col_name_toks = column_names_line.split(separator)
@@ -500,16 +496,16 @@
                 try:
                     float(c_name)
-                    col_name = "Column %s"% str(col_index + 1)
+                    col_name = "Column %s" % str(col_index + 1)
                     index_min = index
                 except:
                     col_name = c_name
                     index_min = index + 1
-                data[col_name] = [ lines[row].split(separator)[c_index]
-                                for row in range(index_min, len(lines)-1)]
+                data[col_name] = [lines[row].split(separator)[c_index]
+                                  for row in range(index_min, len(lines) - 1)]
                 c_index += 1
-                
+
         self.open_with_localapp(data_outputs=data, data_inputs=None,
                                 file_name=file_name, details=details)
-        
+
     def write_batch_tofile(self, data, file_name, details=""):
         """
@@ -541,5 +537,5 @@
         max_index = max(max_list)
         index = 0
-        while(index < max_index):
+        while index < max_index:
             for value_list in data.values():
                 if index < len(value_list):
@@ -552,5 +548,5 @@
             index += 1
         fd.close()
-            
+
     def open_with_externalapp(self, data, file_name, details=""):
         """
@@ -559,9 +555,9 @@
         if not os.path.exists(file_name):
             self.write_batch_tofile(data=data, file_name=file_name,
-                                               details=details)
+                                    details=details)
         try:
             from win32com.client import Dispatch
-            excel_app = Dispatch('Excel.Application')     
-            wb = excel_app.Workbooks.Open(file_name) 
+            excel_app = Dispatch('Excel.Application')
+            excel_app.Workbooks.Open(file_name)
             excel_app.Visible = 1
         except:
@@ -570,7 +566,6 @@
             msg += "check that %s really exists.\n" % str(file_name)
             wx.PostEvent(self, StatusEvent(status=msg,
-                                             info="error"))
-            
-         
+                                           info="error"))
+
     def on_batch_selection(self, event=None):
         """
@@ -583,14 +578,13 @@
         for plug in self.plugins:
             plug.set_batch_selection(self.batch_on)
-            
+
     def on_color_selection(self, event):
         """
         :param event: contains parameters for id and color
-        """ 
-        color, id = event.color, event.id
+        """
+        color, event_id = event.color, event.id
         for plug in self.plugins:
-            plug.add_color(color, id)
-        
-        
+            plug.add_color(color, event_id)
+
     def setup_custom_conf(self):
         """
@@ -599,5 +593,5 @@
         if custom_config == None:
             return
-        
+
         if not FIXED_PANEL:
             self.__gui_style &= (~GUIFRAME.FIXED_PANEL)
@@ -611,6 +605,6 @@
 
         if WELCOME_PANEL_SHOW:
-            self.__gui_style |= GUIFRAME.WELCOME_PANEL_ON   
-             
+            self.__gui_style |= GUIFRAME.WELCOME_PANEL_ON
+
     def set_custom_default_perspective(self):
         """
@@ -622,5 +616,5 @@
             try:
                 if plugin.sub_menu == DEFAULT_PERSPECTIVE:
-                    
+
                     plugin.on_perspective(event=None)
                     frame = plugin.get_frame()
@@ -629,9 +623,9 @@
                 else:
                     frame = plugin.get_frame()
-                    frame.Show(False) 
+                    frame.Show(False)
             except:
-                pass  
-        return          
-                
+                pass
+        return
+
     def on_load_data(self, event):
         """
@@ -640,5 +634,5 @@
         if self._data_plugin is not None:
             self._data_plugin.load_data(event)
-            
+
     def get_current_perspective(self):
         """
@@ -652,5 +646,5 @@
         """
         return self._default_save_location
-    
+
     def set_input_file(self, input_file):
         """
@@ -658,5 +652,5 @@
         """
         self._input_file = input_file
-        
+
     def get_data_manager(self):
         """
@@ -664,5 +658,5 @@
         """
         return self._data_manager
-    
+
     def get_toolbar(self):
         """
@@ -670,5 +664,5 @@
         """
         return self._toolbar
-    
+
     def set_panel_on_focus(self, event):
         """
@@ -698,11 +692,11 @@
                 self.enable_edit_menu()
 
-    def disable_app_menu(self, p_panel=None):  
+    def disable_app_menu(self, p_panel=None):
         """
         Disables all menus in the menubar
         """
         return
-    
-    def send_focus_to_datapanel(self, name):  
+
+    def send_focus_to_datapanel(self, name):
         """
         Send focusing on ID to data explorer
@@ -710,5 +704,5 @@
         if self._data_panel != None:
             self._data_panel.set_panel_on_focus(name)
-            
+
     def set_panel_on_focus_helper(self):
         """
@@ -722,5 +716,5 @@
             combo_title = str(self.panel_on_focus.window_caption)
             combo.SetStringSelection(combo_title)
-            combo.SetToolTip( wx.ToolTip(combo_title )) 
+            combo.SetToolTip(wx.ToolTip(combo_title))
         elif self.panel_on_focus != self._data_panel:
             cpanel = self.panel_on_focus
@@ -728,9 +722,9 @@
                 cpanel.on_tap_focus()
                 self.cpanel_on_focus = self.panel_on_focus
-      
+
     def reset_bookmark_menu(self, panel):
         """
         Reset Bookmark menu list
-        
+
         : param panel: a control panel or tap where the bookmark is
         """
@@ -745,10 +739,10 @@
                 if pos < 3:
                     continue
-                id =  bitem.GetId()
+                id = bitem.GetId()
                 label = bitem.GetLabel()
                 self._toolbar.append_bookmark_item(id, label)
                 wx.EVT_MENU(self, id, cpanel._back_to_bookmark)
             self._toolbar.Realize()
-             
+
 
     def build_gui(self):
@@ -771,5 +765,5 @@
         self._setup_layout()
         self._add_menu_application()
-        
+
         # Set up the menu
         self._add_current_plugin_menu()
@@ -781,10 +775,10 @@
         if not wx.VERSION_STRING >= '3.0.0.0':
             self.SetMenuBar(self._menubar)
-        
+
         try:
             self.load_from_cmd(self._input_file)
         except:
-            msg = "%s Cannot load file %s\n" %(str(APPLICATION_NAME), 
-                                             str(self._input_file))
+            msg = "%s Cannot load file %s\n" % (str(APPLICATION_NAME),
+                                                str(self._input_file))
             msg += str(sys.exc_value) + '\n'
             logging.error(msg)
@@ -798,5 +792,5 @@
         self._check_update(None)
 
-    def _setup_extra_custom(self):  
+    def _setup_extra_custom(self):
         """
         Set up toolbar and welcome view if needed
@@ -804,11 +798,11 @@
         style = self.__gui_style & GUIFRAME.TOOLBAR_ON
         if (style == GUIFRAME.TOOLBAR_ON) & (not self._toolbar.IsShown()):
-            self._on_toggle_toolbar() 
-        
+            self._on_toggle_toolbar()
+
         # Set Custom deafult start page
         welcome_style = self.__gui_style & GUIFRAME.WELCOME_PANEL_ON
         if welcome_style == GUIFRAME.WELCOME_PANEL_ON:
             self.show_welcome_panel(None)
-      
+
     def _setup_layout(self):
         """
@@ -822,5 +816,5 @@
         self._load_panels()
         self.set_default_perspective()
-        
+
     def SetStatusText(self, *args, **kwds):
         """
@@ -828,5 +822,5 @@
         number = self.sb.get_msg_position()
         wx.Frame.SetStatusText(self, number=number, *args, **kwds)
-        
+
     def PopStatusText(self, *args, **kwds):
         """
@@ -834,12 +828,12 @@
         field = self.sb.get_msg_position()
         wx.Frame.PopStatusText(self, field=field)
-        
+
     def PushStatusText(self, *args, **kwds):
         """
-            FIXME: No message is passed. What is this supposed to do? 
+            FIXME: No message is passed. What is this supposed to do?
         """
         field = self.sb.get_msg_position()
-        wx.Frame.PushStatusText(self, field=field, 
-                        string="FIXME: PushStatusText called without text")
+        wx.Frame.PushStatusText(self, field=field,
+                                string="FIXME: PushStatusText called without text")
 
     def add_perspective(self, plugin):
@@ -855,13 +849,13 @@
                 msg = "Plugin %s already loaded" % plugin.sub_menu
                 logging.info(msg)
-                is_loaded = True  
+                is_loaded = True
         if not is_loaded:
-            self.plugins.append(plugin)  
+            self.plugins.append(plugin)
             msg = "Plugin %s appended" % plugin.sub_menu
             logging.info(msg)
-      
+
     def _get_local_plugins(self):
         """
-        get plugins local to guiframe and others 
+        get plugins local to guiframe and others
         """
         plugins = []
@@ -888,22 +882,22 @@
                 msg += "cannot import plotting plugin.\n %s" % sys.exc_value
                 logging.error(msg)
-     
+
         return plugins
-    
+
     def _find_plugins(self, dir="perspectives"):
         """
         Find available perspective plug-ins
-        
+
         :param dir: directory in which to look for plug-ins
-        
+
         :return: list of plug-ins
-        
+
         """
         plugins = []
         # Go through files in panels directory
         try:
-            list = os.listdir(dir)
+            file_list = os.listdir(dir)
             ## the default panel is the panel is the last plugin added
-            for item in list:
+            for item in file_list:
                 toks = os.path.splitext(os.path.basename(item))
                 name = ''
@@ -924,12 +918,12 @@
                         else:
                             (file, path, info) = imp.find_module(name, path)
-                            module = imp.load_module( name, file, item, info)
+                            module = imp.load_module(name, file, item, info)
                         if hasattr(module, "PLUGIN_ID"):
-                            try: 
+                            try:
                                 plug = module.Plugin()
                                 if plug.set_default_perspective():
                                     self._current_perspective = plug
                                 plugins.append(plug)
-                                
+
                                 msg = "Found plug-in: %s" % module.PLUGIN_ID
                                 logging.info(msg)
@@ -947,5 +941,5 @@
             # Should raise and catch at a higher level and 
             # display error on status bar
-            pass  
+            logging.error(sys.exc_value)
 
         return plugins
@@ -963,5 +957,4 @@
             panel_width = DATAPANEL_WIDTH
         panel_height = int(self._window_height)
-        style = self.__gui_style & (GUIFRAME.MANAGER_ON)
         if self._data_panel is not None  and (p == self._data_panel):
             return panel_width, panel_height
@@ -976,5 +969,5 @@
             return self._window_width, panel_height
         return panel_width, panel_height
-    
+
     def _load_panels(self):
         """
@@ -991,5 +984,5 @@
                 ps = item.get_panels(self)
                 panels.extend(ps)
-        
+
         # Set up welcome panel
         #TODO: this needs serious simplification
@@ -1000,5 +993,5 @@
             self.defaultPanel.set_frame(welcome_panel)
             welcome_panel.Show(False)
-        
+
         self.panels["default"] = self.defaultPanel
         size_t_bar = 70
@@ -1012,7 +1005,7 @@
                 frame.SetPosition((0, mac_pos_y + size_t_bar))
             frame.Show(True)
-        #add data panel 
+        #add data panel
         win = MDIFrame(self, None, 'None', (100, 200))
-        data_panel = DataPanel(parent=win,  id=-1)
+        data_panel = DataPanel(parent=win, id=-1)
         win.set_panel(data_panel)
         self.panels["data_panel"] = data_panel
@@ -1029,10 +1022,10 @@
         for panel_class in panels:
             frame = panel_class.get_frame()
-            id = wx.NewId()
+            wx_id = wx.NewId()
             # Check whether we need to put this panel in the center pane
             if hasattr(panel_class, "CENTER_PANE") and panel_class.CENTER_PANE:
                 w, h = self._get_panels_size(panel_class)
                 if panel_class.CENTER_PANE:
-                    self.panels[str(id)] = panel_class
+                    self.panels[str(wx_id)] = panel_class
                     _, pos_y = frame.GetPositionTuple()
                     frame.SetPosition((d_panel_width + 1, pos_y))
@@ -1043,5 +1036,5 @@
                 continue
             else:
-                self.panels[str(id)] = panel_class
+                self.panels[str(wx_id)] = panel_class
                 frame.SetSize((w, h))
                 frame.Show(False)
@@ -1061,24 +1054,24 @@
             else:
                 self.SetSize((self._window_width, win_height))
-        
+
     def update_data(self, prev_data, new_data):
         """
         Update the data.
         """
-        prev_id, data_state = self._data_manager.update_data(
+        prev_id, data_state = self._data_manager.update_data( \
                               prev_data=prev_data, new_data=new_data)
-        
+
         self._data_panel.remove_by_id(prev_id)
         self._data_panel.load_data_list(data_state)
-        
+
     def update_theory(self, data_id, theory, state=None):
         """
         Update the theory
-        """ 
-        data_state = self._data_manager.update_theory(data_id=data_id, 
-                                         theory=theory,
-                                         state=state)  
+        """
+        data_state = self._data_manager.update_theory(data_id=data_id,
+                                                      theory=theory,
+                                                      state=state)
         wx.CallAfter(self._data_panel.load_data_list, data_state)
-        
+
     def onfreeze(self, theory_id):
         """
@@ -1088,19 +1081,19 @@
         for data_state in data_state_list.values():
             new_plot = data_state.get_data()
-            
+
             wx.PostEvent(self, NewPlotEvent(plot=new_plot,
-                                             title=new_plot.title))
-        
+                                            title=new_plot.title))
+
     def freeze(self, data_id, theory_id):
         """
         """
-        data_state_list = self._data_manager.freeze_theory(data_id=data_id, 
-                                                theory_id=theory_id)
+        data_state_list = self._data_manager.freeze_theory(data_id=data_id,
+                                                           theory_id=theory_id)
         self._data_panel.load_data_list(list=data_state_list)
         for data_state in data_state_list.values():
             new_plot = data_state.get_data()
             wx.PostEvent(self, NewPlotEvent(plot=new_plot,
-                                             title=new_plot.title))
-        
+                                            title=new_plot.title))
+
     def delete_data(self, data):
         """
@@ -1108,10 +1101,10 @@
         """
         self._current_perspective.delete_data(data)
-        
-    
+
+
     def get_context_menu(self, plotpanel=None):
         """
-        Get the context menu items made available 
-        by the different plug-ins. 
+        Get the context menu items made available
+        by the different plug-ins.
         This function is used by the plotting module
         """
@@ -1122,9 +1115,9 @@
             menu_list.extend(item.get_context_menu(plotpanel=plotpanel))
         return menu_list
-        
+
     def get_current_context_menu(self, plotpanel=None):
         """
-        Get the context menu items made available 
-        by the current plug-in. 
+        Get the context menu items made available
+        by the current plug-in.
         This function is used by the plotting module
         """
@@ -1136,5 +1129,5 @@
             menu_list.extend(item.get_context_menu(plotpanel=plotpanel))
         return menu_list
-            
+
     def on_panel_close(self, event):
         """
@@ -1150,14 +1143,14 @@
                 break
         self.cpanel_on_focus.SetFocus()
-    
-    
+
+
     def popup_panel(self, p):
         """
         Add a panel object to the AUI manager
-        
+
         :param p: panel object to add to the AUI manager
-        
+
         :return: ID of the event associated with the new panel [int]
-        
+
         """
         ID = wx.NewId()
@@ -1179,6 +1172,7 @@
         # Append nummber
         captions = self._get_plotpanel_captions()
+        #FIXME: Fix this aweful loop
         while (1):
-            caption = windowcaption + '%s'% str(self.graph_num)
+            caption = windowcaption + '%s' % str(self.graph_num)
             if caption not in captions:
                 break
@@ -1188,7 +1182,7 @@
                 break
         if p.window_caption.split()[0] not in NOT_SO_GRAPH_LIST:
-            p.window_caption = caption 
+            p.window_caption = caption
         p.window_name = windowname + str(self.graph_num)
-        
+
         p.frame.SetTitle(p.window_caption)
         p.frame.name = p.window_name
@@ -1214,9 +1208,9 @@
                     self._data_panel.cb_plotpanel.Append(str(caption), p)
         return ID
-    
+
     def _get_plotpanel_captions(self):
         """
         Get all the plotpanel cations
-        
+
         : return: list of captions
         """
@@ -1224,7 +1218,7 @@
         for Id in self.plot_panels.keys():
             captions.append(self.plot_panels[Id].window_caption)
-        
+
         return captions
-        
+
     def _setup_tool_bar(self):
         """
@@ -1242,5 +1236,5 @@
         self._update_toolbar_helper()
         self._on_toggle_toolbar(event=None)
-    
+
     def _update_toolbar_helper(self):
         """
@@ -1249,5 +1243,5 @@
         application_name = 'No Selected Analysis'
         panel_name = 'No Panel on Focus'
-        c_panel = self.cpanel_on_focus        
+        c_panel = self.cpanel_on_focus
         if self._toolbar is  None:
             return
@@ -1262,8 +1256,8 @@
                 c_panel_state = None
         self._toolbar.update_toolbar(c_panel_state)
-        self._toolbar.update_button(application_name=application_name, 
-                                        panel_name=panel_name)
+        self._toolbar.update_button(application_name=application_name,
+                                    panel_name=panel_name)
         self._toolbar.Realize()
-        
+
     def _add_menu_tool(self):
         """
@@ -1287,16 +1281,16 @@
             if self._tool_menu is not None:
                 self._menubar.Append(self._tool_menu, '&Tool')
-                
+
     def _add_current_plugin_menu(self):
         """
         add current plugin menu
         Look for plug-in menus
-        Add available plug-in sub-menus. 
+        Add available plug-in sub-menus.
         """
         if self._menubar is None or self._current_perspective is None \
-            or self._menubar.GetMenuCount()==0:
+            or self._menubar.GetMenuCount() == 0:
             return
         #replace or add a new menu for the current plugin
-       
+
         pos = self._menubar.FindMenu(str(self._applications_menu_name))
         if pos != -1:
